/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
/*
 * Copyright (c) 2020 University of Washington
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Authors: Sian Jin <sianjin@uw.edu>
 *          Sébastien Deronne <sebastien.deronne@gmail.com>
 */

#ifndef LOG_SGN_PARAMETERS_H
#define LOG_SGN_PARAMETERS_H

namespace ns3 {

/**
 * A structure containing EESM Log-SGN parameters
 */
struct LogSgnParameters
{
  double m_mu;
  double m_sigma;
  double m_lambda1;
  double m_lambda2;

  LogSgnParameters () = default;
  LogSgnParameters (double mu, double sigma, double lambda1, double lambda2) : m_mu (mu), m_sigma (sigma), m_lambda1 (lambda1), m_lambda2 (lambda2)
  {}
};

class CompareLogSgnKeys : public std::binary_function<double, double, bool>
{
public:
  bool operator() (const double &left, const double &right) const
  {
    return (std::abs (left - right) > 1e-2) && (left < right);
  }
};

static const std::map<double /* RX SNR */, LogSgnParameters /* Log-SGN parameters */, CompareLogSgnKeys> Channel_D_Siso_Log_Sgn_Parameters_Map[12 /* number of supported MCSs */][7 /* number of supported BWs */] = {
  // MCS-0
  {
    // 2 MHz (OFDMA - 26 subcarriers)
    {
      {-3.00, {-1.6119, 1.1216, 1.1529, 5.6012}},
      {0.00, {-0.9177, 1.1268, 1.0762, 4.7690}},
      {3.00, {-0.2416, 1.1193, 1.1796, 5.3867}},
      {6.00, {0.4287, 1.1218, 1.1517, 5.3536}},
      {9.00, {1.0898, 1.1115, 1.1334, 5.1235}},
    },
    // 4 MHz (OFDMA - 52 subcarriers)
    {
      {-3.00, {-1.5524, 0.9927, 0.7650, 2.7080}},
      {0.00, {-0.8888, 0.9901, 0.7630, 2.1580}},
      {3.00, {1.1050, 1.4350, -2.3642, 0.0000}},
      {6.00, {1.7624, 1.4159, -2.3371, 0.0000}},
      {9.00, {2.4208, 1.4047, -2.3109, 0.0000}},
    },
    // 8 MHz (OFDMA - 106 subcarriers)
    {
      {-3.00, {-1.3881, 0.8188, 0.6427, 1.8862}},
      {0.00, {-0.7060, 0.8097, 0.6097, 1.6232}},
      {3.00, {-0.0276, 0.8150, 0.7029, 2.1585}},
      {6.00, {0.6293, 0.8060, 0.6839, 1.8146}},
      {9.00, {1.2738, 0.7874, 0.7294, 2.2010}},
    },
    // 20 MHz
    {
      {-3.00, {-1.1991, 0.5821, 0.6122, 1.2734}},
      {0.00, {0.0000, 0.7121, -1.5283, 0.0139}},
      {3.00, {0.0000, 0.4940, 0.3618, 4.7790}},
      {6.00, {0.1793, 0.5559, 1.1009, 0.3257}},
      {9.00, {0.4136, 0.6389, 1.9375, 0.4792}},
      {10.00, {1.1184, 0.5057, -1.5618, 6.9331}},
    },
    // 40 MHz
    {
      {-1.50, {-0.4056, 0.5235, -1.3288, 6.25e-6}},
      {1.50, {-0.3201, 0.3847, 0.6072, 0.7131}},
      {3.00, {0.2736, 0.4359, -1.1390, 0.0795}},
      {4.50, {0.0905, 0.3694, 0.6895, 0.2773}},
      {6.00, {0.2366, 0.3811, 0.9453, 0.2327}},
      {7.00, {0.7204, 0.3689, -0.9361, 0.3654}},
    },
    // 80 MHz
    {
      {-1.50, {-0.4850, 0.3633, -1.2073, 2.9e-6}},
      {1.50, {-0.2676, 0.2707, 0.5243, 0.6713}},
      {2.00, {-0.1926, 0.2666, 0.5269, 0.5699}},
      {2.50, {-0.1155, 0.2627, 0.5163, 0.5509}},
      {3.00, {-0.0539, 0.2609, 0.6188, 0.5500}},
      {3.50, {0.0160, 0.2574, 0.6197, 0.5033}},
      {4.00, {0.0949, 0.2514, 0.5328, 0.4250}},
      {4.50, {0.1597, 0.2485, 0.5314, 0.3584}},
      {5.00, {0.2093, 0.2478, 0.6087, 0.2316}},
      {5.50, {0.2925, 0.2389, 0.4351, 0.2289}},
    },
    // 160 MHz
    {
      {-1.50, {-0.5639, 0.2496, -1.0580, 0}},
      {1.50, {-0.2483, 0.1893, 0.4133, 0.5394}},
      {2.00, {-0.1786, 0.1870, 0.4378, 0.4382}},
      {2.50, {-0.1137, 0.1863, 0.5322, 0.4244}},
      {3.50, {0.0368, 0.1775, 0.4167, 0.2626}},
      {4.00, {0.1020, 0.1766, 0.4043, 0.1548}},
      {5.00, {0.2305, 0.1714, 0.4473, 0.2729}},
      {5.50, {0.2985, 0.1670, 0.3734, 0.2137}},
    },
  },
  // MCS-1
  {
    // 2 MHz (OFDMA - 26 subcarriers)
    {
      {0.00, {-0.9269, 1.1255, 1.1174, 4.5829}},
      {4.00, {-0.0013, 1.1216, 1.1374, 5.7044}},
      {8.00, {0.9141, 1.1155, 1.1540, 5.7009}},
      {12.00, {1.7975, 1.1103, 1.0863, 4.5980}},
    },
    // 4 MHz (OFDMA - 52 subcarriers)
    {
      {0.00, {-0.8737, 0.9913, 0.7522, 2.3541}},
      {4.00, {0.0385, 0.9911, 0.7975, 2.6821}},
      {8.00, {0.9338, 0.9817, 0.7689, 2.2933}},
      {12.00, {1.8267, 0.9622, 0.7966, 3.4808}},
    },
    // 8 MHz (OFDMA - 106 subcarriers)
    {
      {0.00, {-0.7086, 0.8191, 0.6089, 1.4804}},
      {4.00, {0.1636, 0.8192, 0.7100, 1.5221}},
      {8.00, {2.0018, 1.0725, -1.7929, 0.0000}},
      {12.00, {2.7371, 1.0039, -1.5965, 0.0000}},
    },
    // 20 MHz
    {
      {0.00, {0.1512, 0.7606, -1.5525, 0.0000}},
      {4.00, {0.2675, 0.5406, 0.6949, 1.4224}},
      {8.00, {0.8289, 0.5249, 0.8093, 0.3345}},
      {12.00, {1.7374, 0.4970, -1.1563, 2.9584}},
    },
    // 40 MHz
    {
      {0.00, {-0.4626, 0.4183, 0.5456, 1.0157}},
      {4.00, {0.6205, 0.4616, -1.2118, 0.0368}},
      {6.00, {0.4852, 0.3762, 0.7724, 0.3762}},
      {8.00, {0.7279, 0.3765, 0.8427, 0.2238}},
      {10.00, {1.3127, 0.3658, -1.0451, 0.5799}},
      {12.00, {1.5023, 0.3592, -1.1932, 1.2429}},
    },
    // 80 MHz
    {
      {0.00, {-0.3758, 0.3083, 0.5815, 1.1175}},
      {4.00, {0.3446, 0.2723, 0.4975, 0.6489}},
      {6.00, {0.6483, 0.2564, 0.5120, 0.5479}},
      {6.50, {0.7081, 0.2560, 0.5484, 0.4519}},
      {7.00, {0.7882, 0.2486, 0.4598, 0.3432}},
      {7.50, {0.8498, 0.2468, 0.5037, 0.3456}},
      {8.00, {1.1259, 0.2754, -0.9255, 0.0814}},
      {8.50, {1.1802, 0.2690, -0.8906, 0.0944}},
      {9.00, {1.2427, 0.2668, -0.9356, 0.0923}},
    },
    // 160 MHz
    {
      {0.00, {-0.3397, 0.2181, 0.5064, 0.9027}},
      {4.00, {0.3807, 0.1912, 0.4085, 1.0091}},
      {6.00, {0.6766, 0.1806, 0.3779, 0.3711}},
      {6.50, {0.7391, 0.1794, 0.4502, 0.3418}},
      {7.00, {0.8026, 0.1786, 0.4754, 0.2803}},
      {7.50, {0.8778, 0.1729, 0.3866, 0.2289}},
      {8.50, {0.9889, 0.1721, 0.4942, 0.1769}},
      {9.00, {1.0615, 0.1657, 0.3675, 0.1304}},
    },
  },
  // MCS-2
  {
    // 2 MHz (OFDMA - 26 subcarriers)
    {
      {2.00, {-0.4742, 1.1227, 1.0595, 4.6079}},
      {6.00, {0.4267, 1.1051, 1.1217, 5.3280}},
      {10.00, {1.2625, 1.0909, 1.1036, 5.0344}},
      {14.00, {2.0765, 1.0923, 0.9839, 4.5656}},
      {18.00, {2.9116, 1.1189, 0.9050, 7.7546}},
    },
    // 4 MHz (OFDMA - 52 subcarriers)
    {
      {2.00, {-0.4074, 0.9915, 0.7752, 2.5937}},
      {6.00, {0.4839, 0.9921, 0.7956, 2.6709}},
      {10.00, {1.3849, 0.9842, 0.8352, 3.3070}},
      {14.00, {2.2284, 0.9521, 0.6847, 2.1455}},
      {18.00, {3.0324, 0.9315, 0.4430, 1.1444}},
    },
    // 8 MHz (OFDMA - 106 subcarriers)
    {
      {2.00, {-0.3043, 0.7916, 0.6372, 1.8683}},
      {6.00, {0.4596, 0.7681, 0.6976, 1.3692}},
      {10.00, {1.1006, 0.7623, 0.6092, 0.2378}},
      {14.00, {2.0566, 0.7468, -0.7354, 10.6496}},
      {18.00, {2.6350, 0.8525, -0.6187, 6.2494}},
    },
    // 20 MHz
    {
      {2.00, {0.4812, 0.7103, -1.4490, 0.0000}},
      {6.00, {1.0771, 0.6107, -1.2104, 0.0820}},
      {10.00, {1.4592, 0.5067, -0.9037, 1.0092}},
      {14.00, {1.8733, 0.5185, -1.9378, 13.5342}},
      {18.00, {1.4351, 0.9360, 4.5293, 1.3298}},
    },
    // 40 MHz
    {
      {2.00, {0.3526, 0.5057, -1.2758, 0.0135}},
      {6.00, {0.6024, 0.3668, 0.5173, 0.5595}},
      {10.00, {1.3922, 0.3649, -0.9068, 0.3398}},
      {12.50, {1.6464, 0.3581, -1.2032, 1.2893}},
      {13.00, {1.7006, 0.3627, -1.2673, 1.4140}},
      {13.50, {1.7446, 0.3609, -1.3245, 1.7530}},
      {14.00, {1.7959, 0.3666, -1.5091, 2.2961}},
      {14.50, {1.8424, 0.3703, -1.6490, 2.9187}},
      {15.00, {1.8827, 0.3700, -1.7725, 4.0149}},
      {15.50, {1.4052, 0.4993, 2.5678, 0.3901}},
    },
    // 80 MHz
    {
      {2.00, {-0.0198, 0.2909, 0.5492, 0.6462}},
      {6.00, {0.6242, 0.2552, 0.5453, 0.5719}},
      {10.00, {1.0772, 0.2489, 0.7487, 0.0966}},
      {11.00, {1.3946, 0.2399, -0.7381, 0.2136}},
      {11.50, {1.4481, 0.2392, -0.7808, 0.2312}},
      {12.00, {1.4831, 0.2338, -0.7144, 0.3250}},
      {12.50, {1.5294, 0.2322, -0.7592, 0.4182}},
      {13.00, {1.5783, 0.2322, -0.8029, 0.5232}},
      {13.50, {1.6213, 0.2319, -0.8194, 0.5019}},
      {14.00, {1.6634, 0.2318, -0.8840, 0.7090}},
    },
    // 160 MHz
    {
      {6.00, {0.6458, 0.1791, 0.3991, 0.2925}},
      {10.00, {1.2458, 0.1712, -0.6470, 0.0641}},
      {11.00, {1.3413, 0.1652, -0.5655, 0.0584}},
      {11.50, {1.3835, 0.1617, -0.5275, 0.1175}},
      {12.00, {1.4425, 0.1650, -0.6867, 0.1647}},
      {12.50, {1.4757, 0.1587, -0.5511, 0.1579}},
      {13.00, {1.5187, 0.1577, -0.5628, 0.1925}},
      {13.50, {1.5494, 0.1524, -0.4479, 0.2622}},
    },
  },
  // MCS-3
  {
    // 2 MHz (OFDMA - 26 subcarriers)
    {
      {8.00, {0.8900, 1.1186, 1.0386, 4.2982}},
      {12.00, {1.7676, 1.0907, 1.1162, 5.0309}},
      {16.00, {2.5928, 1.0794, 1.0696, 5.8846}},
      {20.00, {3.4139, 1.0927, 0.9836, 7.4785}},
    },
    // 4 MHz (OFDMA - 52 subcarriers)
    {
      {8.00, {0.9529, 0.9845, 0.7611, 2.7128}},
      {12.00, {1.8429, 0.9675, 0.7484, 2.7947}},
      {16.00, {2.6652, 0.9490, 0.6481, 1.9141}},
      {20.00, {3.4405, 0.9388, 0.4308, 1.0780}},
    },
    // 8 MHz (OFDMA - 106 subcarriers)
    {
      {8.00, {1.0208, 0.7991, 0.7060, 1.4181}},
      {12.00, {1.8246, 0.7592, 0.7083, 1.5272}},
      {16.00, {2.4758, 0.7479, 0.4649, 0.0891}},
      {20.00, {3.3948, 0.7559, -0.7882, 12.5494}},
    },
    // 20 MHz
    {
      {8.00, {1.1992, 0.5462, 0.6854, 1.1917}},
      {12.00, {1.7845, 0.5255, 0.8301, 0.4327}},
      {16.00, {2.7066, 0.4998, -1.0412, 1.8590}},
      {20.00, {2.3910, 0.7722, 3.1313, 0.7252}},
    },
    // 40 MHz
    {
      {8.00, {1.2493, 0.4025, 0.6480, 0.8722}},
      {12.00, {1.8739, 0.3620, 0.5820, 0.3312}},
      {14.00, {2.0600, 0.3800, 0.9857, 0.2377}},
      {14.50, {2.4908, 0.3734, -0.9584, 0.3359}},
      {15.00, {2.5333, 0.3625, -0.8935, 0.3635}},
      {15.50, {2.5968, 0.3622, -0.9871, 0.4872}},
      {16.00, {2.6468, 0.3602, -1.0246, 0.6392}},
      {16.50, {2.6979, 0.3589, -1.0772, 0.8049}},
      {17.00, {2.7511, 0.3601, -1.1383, 0.9241}},
      {17.50, {2.7930, 0.3582, -1.1814, 1.1546}},
      {18.00, {2.8501, 0.3620, -1.2917, 1.4147}},
    },
    // 80 MHz
    {
      {8.00, {1.5910, 0.3423, -1.2003, 8.24e-6}},
      {10.00, {1.6318, 0.2623, 0.4995, 0.5370}},
      {11.00, {1.7846, 0.2541, 0.4793, 0.5880}},
      {12.00, {1.9195, 0.2473, 0.4704, 0.4272}},
      {12.50, {1.9598, 0.2505, 0.6104, 0.2661}},
      {13.00, {2.0192, 0.2504, 0.6066, 0.2020}},
      {13.50, {2.1012, 0.2380, 0.4553, 0.1410}},
      {14.00, {2.1255, 0.2485, 0.7228, 0.1797}},
      {14.50, {2.1744, 0.2506, 0.7986, 0.1902}},
    },
    // 160 MHz
    {
      {8.00, {1.3183, 0.1963, 0.4405, 0.4949}},
      {10.00, {1.6208, 0.1851, 0.5064, 0.4051}},
      {11.00, {1.7602, 0.1804, 0.4913, 0.2847}},
      {12.00, {1.9107, 0.1714, 0.3188, 0.2022}},
      {13.00, {2.0230, 0.1703, 0.4519, 0.2272}},
      {13.50, {2.0856, 0.1657, 0.3750, 0.1285}},
      {14.00, {2.2648, 0.1774, -0.7111, 0.0330}},
      {14.50, {2.3259, 0.1782, -0.7803, 0.0609}},
    },
  },
  // MCS-4
  {
    // 2 MHz (OFDMA - 26 subcarriers)
    {
      {11.00, {1.5600, 1.1075, 1.0718, 4.6945}},
      {15.00, {2.4037, 1.0943, 1.1111, 4.8370}},
      {19.00, {3.2296, 1.0830, 0.9714, 4.8657}},
      {22.00, {3.8348, 1.1156, 0.9032, 6.7267}},
    },
    // 4 MHz (OFDMA - 52 subcarriers)
    {
      {11.00, {1.5942, 0.9756, 0.7716, 2.4586}},
      {15.00, {2.4234, 0.9501, 0.6317, 1.6079}},
      {19.00, {3.2513, 0.9280, 0.3915, 1.4763}},
      {22.00, {3.8390, 0.9576, 0.2323, 3.3386}},
    },
    // 8 MHz (OFDMA - 106 subcarriers)
    {
      {11.00, {1.6230, 0.7813, 0.7775, 1.4881}},
      {15.00, {2.3026, 0.7612, 0.6495, 0.3943}},
      {19.00, {2.5779, 0.9519, 1.4668, 0.1825}},
      {22.00, {2.7722, 1.1530, 2.2932, 0.2452}},
    },
    // 20 MHz
    {
      {11.00, {1.7917, 0.5211, 0.6401, 1.0830}},
      {15.00, {2.7477, 0.5174, -0.8917, 0.5145}},
      {19.00, {3.1680, 0.5064, -1.8523, 9.4385}},
      {23.00, {2.7656, 0.8713, 4.0513, 1.0354}},
    },
    // 40 MHz
    {
      {11.00, {2.2066, 0.4569, -1.2273, 0.0921}},
      {15.00, {2.2929, 0.3813, 1.0051, 0.2755}},
      {17.00, {2.4745, 0.3997, 1.2942, 0.1794}},
      {19.00, {3.0881, 0.3650, -1.3451, 1.5955}},
      {19.50, {3.1340, 0.3657, -1.4101, 1.8637}},
      {20.00, {3.1797, 0.3653, -1.5289, 2.3829}},
      {20.50, {3.2280, 0.3684, -1.6819, 2.9698}},
      {21.00, {3.2748, 0.3753, -1.8687, 4.0726}},
    },
    // 80 MHz
    {
      {11.00, {1.8657, 0.2623, 0.5047, 0.6840}},
      {15.00, {2.3704, 0.2439, 0.6110, 0.1899}},
      {16.00, {2.4656, 0.2454, 0.7100, 0.1060}},
      {17.00, {2.5418, 0.2565, 0.9323, 0.0846}},
      {17.50, {2.5932, 0.2541, 0.9537, 0.1189}},
      {18.00, {2.8609, 0.2323, -0.6892, 0.3490}},
      {18.50, {2.9191, 0.2358, -0.7951, 0.3458}},
      {19.00, {2.9641, 0.2347, -0.8224, 0.4210}},
      {19.50, {3.0043, 0.2314, -0.8345, 0.5608}},
      {20.00, {3.0533, 0.2342, -0.8829, 0.5714}},
    },
    // 160 MHz
    {
      {11.00, {1.9374, 0.1911, 0.4558, 0.5322}},
      {15.00, {2.4764, 0.1717, 0.5116, 0.1667}},
      {17.00, {2.6801, 0.1723, 0.6878, 0.0856}},
      {18.00, {2.9058, 0.1600, -0.4976, 0.1413}},
      {18.50, {2.9572, 0.1599, -0.4932, 0.0681}},
      {19.00, {2.9951, 0.1566, -0.4651, 0.1661}},
      {19.50, {3.0467, 0.1570, -0.5351, 0.1981}},
      {20.00, {3.0950, 0.1579, -0.5747, 0.1533}},
    },
  },
  // MCS-5
  {
    // 2 MHz (OFDMA - 26 subcarriers)
    {
      {14.00, {2.2830, 1.1256, 1.1040, 4.7430}},
      {18.00, {3.1790, 1.1108, 1.1144, 5.1932}},
      {22.00, {4.0317, 1.0932, 1.1542, 5.7413}},
      {26.00, {4.8402, 1.0921, 1.0029, 4.8582}},
      {28.00, {6.7011, 1.6156, -2.6339, 0.0000}},
    },
    // 4 MHz (OFDMA - 52 subcarriers)
    {
      {14.00, {2.3381, 0.9959, 0.7797, 2.4735}},
      {18.00, {3.2221, 0.9807, 0.7756, 2.5052}},
      {22.00, {4.0753, 0.9538, 0.7167, 2.4447}},
      {26.00, {4.8698, 0.9358, 0.5070, 1.2369}},
      {28.00, {6.2064, 1.2214, -1.4387, 0.0000}},
    },
    // 8 MHz (OFDMA - 106 subcarriers)
    {
      {14.00, {2.4430, 0.7993, 0.6630, 1.6186}},
      {18.00, {3.2251, 0.7682, 0.6967, 1.2164}},
      {22.00, {4.6134, 0.8554, -0.9774, 0.0000}},
      {26.00, {4.8302, 0.7430, -0.8702, 16.1701}},
      {28.00, {5.1308, 0.7846, -0.7018, 7.5732}},
    },
    // 20 MHz
    {
      {14.00, {2.6074, 0.5562, 0.7171, 1.2736}},
      {18.00, {3.2743, 0.5166, 0.6853, 0.6229}},
      {22.00, {4.1932, 0.5058, -0.9982, 1.3253}},
      {26.00, {3.9111, 0.7361, 2.7351, 0.5343}},
      {28.00, {4.0353, 0.8299, 3.6304, 0.8693}},
    },
    // 40 MHz
    {
      {14.00, {2.6935, 0.4032, 0.6105, 1.3360}},
      {18.00, {3.3412, 0.3618, 0.5330, 0.5995}},
      {22.00, {3.7285, 0.3889, 1.1297, 0.1524}},
      {22.50, {3.7622, 0.4040, 1.3041, 0.1885}},
      {23.00, {4.2241, 0.3603, -1.0488, 0.6524}},
      {23.50, {4.2674, 0.3541, -1.0536, 0.8461}},
      {24.00, {4.3211, 0.3595, -1.1809, 1.1630}},
      {24.50, {3.9178, 0.4386, 1.7928, 0.3140}},
      {25.00, {3.9582, 0.4448, 1.8781, 0.2761}},
    },
    // 80 MHz
    {
      {14.00, {2.7257, 0.2888, 0.5290, 0.5823}},
      {18.00, {3.3622, 0.2513, 0.5150, 0.6404}},
      {19.00, {3.4697, 0.2537, 0.5949, 0.2442}},
      {19.50, {3.5575, 0.2417, 0.4934, 0.4019}},
      {20.00, {3.5869, 0.2494, 0.6440, 0.1730}},
      {20.50, {3.6498, 0.2449, 0.6026, 0.1249}},
      {21.00, {3.6966, 0.2489, 0.7290, 0.2190}},
      {21.50, {3.7510, 0.2440, 0.6836, 0.1004}},
      {22.00, {4.0197, 0.2466, -0.7921, 0.1837}},
    },
    // 160 MHz
    {
      {14.00, {2.7511, 0.2019, 0.4768, 0.7634}},
      {18.00, {3.3694, 0.1763, 0.4101, 0.4467}},
      {20.00, {3.6008, 0.1721, 0.5499, 0.1505}},
      {20.50, {3.6736, 0.1665, 0.4324, 0.1285}},
      {21.00, {3.7108, 0.1698, 0.5889, 0.0848}},
      {21.50, {3.7671, 0.1683, 0.5500, 0.0472}},
      {22.00, {3.8123, 0.1690, 0.6665, 0.1041}},
      {22.50, {4.0083, 0.1706, -0.7303, 0.1007}},
    },
  },
  // MCS-6
  {
    // 2 MHz (OFDMA - 26 subcarriers)
    {
      {16.00, {2.7364, 1.1267, 1.1579, 5.5208}},
      {20.00, {3.6372, 1.0969, 1.0776, 5.0400}},
      {24.00, {4.4670, 1.0808, 1.0584, 4.7196}},
      {28.00, {5.2802, 1.0903, 0.9758, 6.3294}},
    },
    // 4 MHz (OFDMA - 52 subcarriers)
    {
      {16.00, {2.7884, 0.9863, 0.8080, 2.8646}},
      {20.00, {3.6758, 0.9686, 0.6961, 2.1094}},
      {24.00, {5.6864, 1.3338, -2.1137, 0.0000}},
      {28.00, {6.3070, 1.2565, -1.6264, 0.0000}},
    },
    // 8 MHz (OFDMA - 106 subcarriers)
    {
      {16.00, {2.8546, 0.7900, 0.6808, 1.4511}},
      {20.00, {3.6110, 0.7569, 0.6544, 0.8692}},
      {24.00, {4.5464, 0.7122, -1.1289, 99.2388}},
      {28.00, {5.1646, 0.7719, -0.7164, 9.5982}},
    },
    // 20 MHz
    {
      {16.00, {2.9993, 0.5473, 0.7278, 1.0284}},
      {20.00, {3.5784, 0.5257, 0.8144, 0.3127}},
      {24.00, {4.4851, 0.4990, -1.2413, 3.2916}},
      {28.00, {4.1534, 0.8000, 3.2328, 0.5637}},
    },
    // 40 MHz
    {
      {16.00, {3.0744, 0.3929, 0.5715, 0.7665}},
      {20.00, {3.6447, 0.3657, 0.6824, 0.2990}},
      {22.00, {4.2077, 0.3683, -0.9235, 0.3116}},
      {24.00, {4.4152, 0.3578, -1.0454, 0.7684}},
      {26.00, {4.6122, 0.3640, -1.3891, 1.9097}},
      {28.00, {4.8013, 0.3815, -2.1168, 5.4407}},
    },
    // 80 MHz
    {
      {16.00, {3.4476, 0.3460, -1.2138, 2.41e-5}},
      {20.00, {3.7756, 0.2505, 0.5195, 0.4579}},
      {20.50, {3.8298, 0.2489, 0.5432, 0.2813}},
      {21.00, {3.9015, 0.2449, 0.5262, 0.3256}},
      {21.50, {3.9599, 0.2442, 0.5377, 0.2573}},
      {22.00, {4.0125, 0.2438, 0.5756, 0.2052}},
      {22.50, {4.0485, 0.2486, 0.7116, 0.1632}},
      {23.00, {4.3173, 0.2469, -0.7389, 0.1224}},
      {23.50, {4.3701, 0.2444, -0.7499, 0.1526}},
      {24.00, {4.4238, 0.2450, -0.7832, 0.1809}},
    },
    // 160 MHz
    {
      {16.00, {3.1961, 0.1990, 0.4564, 0.7162}},
      {19.00, {3.8202, 0.2110, -0.9794, 0.0253}},
      {20.50, {3.8662, 0.1717, 0.3488, 0.2525}},
      {21.00, {3.9102, 0.1749, 0.4831, 0.1300}},
      {21.50, {3.9817, 0.1684, 0.4179, 0.1584}},
      {22.50, {4.0920, 0.1667, 0.4929, 0.1615}},
      {23.00, {4.2822, 0.1777, -0.7778, 0.0605}},
      {23.50, {4.3349, 0.1757, -0.7663, 0.0558}},
    },
  },
  // MCS-7
  {
    // 2 MHz (OFDMA - 26 subcarriers)
    {
      {18.00, {3.2033, 1.1060, 1.1217, 5.5474}},
      {22.00, {5.5790, 1.6442, -3.1786, 0.0000}},
      {26.00, {4.8848, 1.0877, 0.9796, 4.3326}},
      {30.00, {7.1201, 1.6341, -2.5791, 0.0000}},
    },
    // 4 MHz (OFDMA - 52 subcarriers)
    {
      {18.00, {3.2711, 0.9792, 0.8005, 3.4783}},
      {22.00, {4.1436, 0.9703, 0.7639, 2.8219}},
      {26.00, {4.9565, 0.9543, 0.7191, 2.2052}},
      {30.00, {5.7860, 0.9280, 0.3751, 1.1013}},
    },
    // 8 MHz (OFDMA - 106 subcarriers)
    {
      {18.00, {3.2667, 0.7684, 0.6338, 1.2650}},
      {22.00, {3.9332, 0.7529, 0.5744, 0.3018}},
      {26.00, {4.8764, 0.7367, -0.7489, 11.4479}},
      {30.00, {5.4599, 0.8270, -0.5955, 6.1804}},
    },
    // 20 MHz
    {
      {18.00, {3.4314, 0.5409, 0.6960, 0.8287}},
      {22.00, {3.9525, 0.5434, 1.0061, 0.3102}},
      {26.00, {4.8858, 0.5008, -1.3855, 4.9974}},
      {30.00, {4.5367, 0.8197, 3.5539, 0.8731}},
    },
    // 40 MHz
    {
      {18.00, {3.8856, 0.4745, -1.2600, 0.0226}},
      {22.00, {3.9995, 0.3739, 0.8064, 0.1829}},
      {24.00, {4.5730, 0.3617, -0.9353, 0.4747}},
      {26.00, {4.7774, 0.3544, -1.1300, 1.1599}},
      {28.00, {4.9847, 0.3723, -1.7368, 3.1647}},
      {30.00, {5.1551, 0.3888, -2.3640, 7.8183}},
    },
    // 80 MHz
    {
      {18.00, {3.5003, 0.2673, 0.5412, 0.5756}},
      {22.00, {4.0233, 0.2482, 0.6349, 0.1411}},
      {23.00, {4.1177, 0.2506, 0.7940, 0.1540}},
      {23.50, {4.1685, 0.2521, 0.8214, 0.1022}},
      {24.00, {4.4482, 0.2444, -0.7781, 0.2242}},
      {24.50, {4.4951, 0.2409, -0.7720, 0.2677}},
      {25.00, {4.5414, 0.2368, -0.7354, 0.2328}},
      {25.50, {4.5868, 0.2352, -0.7552, 0.2750}},
      {26.00, {4.6317, 0.2308, -0.7651, 0.3631}},
      {26.50, {4.6726, 0.2308, -0.7733, 0.4574}},
    },
    // 160 MHz
    {
      {18.00, {3.6963, 0.2235, -1.0275, 0.0005}},
      {22.00, {4.0416, 0.1729, 0.5998, 0.1484}},
      {23.50, {4.3435, 0.1709, -0.6350, 0.0521}},
      {24.50, {4.4483, 0.1693, -0.7193, 0.1235}},
      {25.00, {4.4826, 0.1626, -0.5406, 0.0644}},
      {25.50, {4.5344, 0.1636, -0.6424, 0.1358}},
      {26.00, {4.5714, 0.1592, -0.5776, 0.1992}},
      {26.50, {4.6068, 0.1559, -0.4959, 0.1872}},
    },
  },
  // MCS-8
  {
    // 2 MHz (OFDMA - 26 subcarriers)
    {
      {21.50, {3.9980, 1.1140, 1.1253, 5.0639}},
      {25.50, {4.8650, 1.0959, 1.0714, 4.6470}},
      {29.50, {5.6768, 1.0820, 1.0457, 4.7915}},
      {33.50, {6.4773, 1.1072, 0.9185, 5.9782}},
    },
    // 4 MHz (OFDMA - 52 subcarriers)
    {
      {21.50, {4.0803, 0.9794, 0.8077, 3.4568}},
      {25.50, {4.9544, 0.9748, 0.7466, 2.4976}},
      {29.50, {5.7759, 0.9592, 0.7315, 2.0105}},
      {33.50, {6.5819, 0.9384, 0.4481, 1.0108}},
      {37.50, {7.4074, 0.9540, 0.3424, 17.9995}},
    },
    // 8 MHz (OFDMA - 106 subcarriers)
    {
      {21.50, {4.1397, 0.7849, 0.6843, 1.7737}},
      {25.50, {4.8962, 0.7545, 0.6144, 0.8586}},
      {29.50, {6.1272, 0.8012, -0.6902, 0.0000}},
      {33.50, {6.4429, 0.7746, -0.7053, 8.3669}},
      {37.50, {7.0087, 0.8993, -0.5660, 6.8194}},
    },
    // 20 MHz
    {
      {21.50, {4.2755, 0.5417, 0.6823, 0.9794}},
      {25.50, {4.8197, 0.5397, 0.9291, 0.3174}},
      {29.50, {5.1666, 0.6294, 1.7847, 0.3047}},
      {33.50, {5.4343, 0.7921, 3.1737, 0.6886}},
    },
    // 40 MHz
    {
      {21.50, {4.7539, 0.4873, -1.2949, 0.0387}},
      {25.50, {4.9007, 0.3717, 0.7695, 0.3166}},
      {28.00, {5.5410, 0.3688, -0.9814, 0.4136}},
      {28.50, {5.5930, 0.3651, -1.0193, 0.5251}},
      {29.00, {5.6332, 0.3570, -0.9713, 0.6447}},
      {29.50, {5.6849, 0.3559, -1.0235, 0.8090}},
      {30.00, {5.7289, 0.3506, -1.0491, 0.9545}},
      {30.50, {5.7886, 0.3588, -1.1939, 1.2654}},
      {31.00, {5.8418, 0.3602, -1.2910, 1.5910}},
    },
    // 80 MHz
    {
      {21.50, {4.4585, 0.2833, 0.5302, 1.0251}},
      {23.00, {4.7096, 0.2701, 0.5187, 0.9385}},
      {24.50, {4.9250, 0.2610, 0.5520, 0.4337}},
      {25.50, {5.0609, 0.2553, 0.5761, 0.3289}},
      {26.00, {5.1424, 0.2475, 0.4790, 0.4004}},
      {26.50, {5.1854, 0.2510, 0.6154, 0.2888}},
      {27.00, {5.2614, 0.2441, 0.5528, 0.2668}},
      {27.50, {5.2936, 0.2529, 0.7111, 0.1734}},
    },
    // 160 MHz
    {
      {21.00, {4.5570, 0.2382, -0.9939, 0.0000}},
      {24.00, {4.8459, 0.1870, 0.5308, 0.4023}},
      {26.00, {5.1227, 0.1761, 0.4749, 0.2138}},
      {26.50, {5.2074, 0.1693, 0.3032, 0.2649}},
      {27.00, {5.2569, 0.1679, 0.3770, 0.1582}},
      {27.50, {5.2992, 0.1720, 0.5443, 0.1443}},
      {28.00, {5.3488, 0.1719, 0.5853, 0.0930}},
      {28.50, {5.4235, 0.1637, 0.4103, 0.0950}},
    },
  },
  // MCS-9
  {
    // 2 MHz (OFDMA - 26 subcarriers)
    {
      {20.00, {3.6725, 1.1179, 1.1187, 5.3180}},
      {24.00, {4.5694, 1.1050, 1.1204, 5.1480}},
      {28.00, {5.4358, 1.0882, 1.0637, 5.2153}},
      {32.00, {6.2363, 1.0832, 1.0140, 4.7237}},
      {36.00, {7.0361, 1.1265, 0.9232, 7.3311}},
    },
    // 4 MHz (OFDMA - 52 subcarriers)
    {
      {20.00, {3.7274, 0.9932, 0.7804, 2.7794}},
      {24.00, {4.6327, 0.9818, 0.7963, 3.0457}},
      {28.00, {5.4863, 0.9704, 0.7675, 2.5091}},
      {32.00, {6.2993, 0.9425, 0.6016, 1.5263}},
      {36.00, {7.1233, 0.9316, 0.3223, 1.4974}},
    },
    // 8 MHz (OFDMA - 106 subcarriers)
    {
      {20.00, {3.8287, 0.8030, 0.6952, 1.8003}},
      {24.00, {4.6459, 0.7714, 0.7250, 1.7284}},
      {28.00, {5.2853, 0.7650, 0.6710, 0.3225}},
      {32.00, {6.2590, 0.7319, -0.8758, 19.7343}},
      {36.00, {6.8517, 0.8266, -0.5718, 5.3813}},
    },
    // 20 MHz
    {
      {20.00, {4.7300, 0.7435, -1.4360, 0.0000}},
      {24.00, {4.8500, 0.5384, 0.6838, 1.1295}},
      {28.00, {5.3706, 0.5414, 0.9550, 0.3162}},
      {32.00, {6.3127, 0.4980, -1.2850, 3.7707}},
      {36.00, {6.7305, 0.5549, -1.9758, 13.0656}},
    },
    // 40 MHz
    {
      {20.00, {4.5843, 0.5325, -1.3079, 3.5e-7}},
      {24.00, {4.8509, 0.3854, 0.5683, 0.5952}},
      {28.00, {5.3538, 0.3802, 0.9086, 0.2144}},
      {30.00, {5.5395, 0.3970, 1.1961, 0.1748}},
      {30.50, {5.5739, 0.4096, 1.3619, 0.1915}},
      {31.00, {6.0438, 0.3585, -1.0592, 0.8449}},
      {31.50, {6.1001, 0.3618, -1.1730, 1.0587}},
      {32.00, {6.1502, 0.3623, -1.2530, 1.3189}},
      {32.50, {6.1893, 0.3568, -1.2370, 1.4370}},
      {33.00, {6.2466, 0.3650, -1.6499, 3.0761}},
    },
    // 80 MHz
    {
      {20.00, {4.2058, 0.3046, 0.5704, 0.7474}},
      {24.00, {4.9106, 0.2694, 0.5892, 0.8059}},
      {26.00, {5.1916, 0.2581, 0.5951, 0.3182}},
      {28.00, {5.4570, 0.2451, 0.5535, 0.1763}},
      {28.50, {5.5010, 0.2468, 0.6883, 0.1991}},
      {29.00, {5.5536, 0.2481, 0.6924, 0.1196}},
      {29.50, {5.8387, 0.2553, -0.8709, 0.1404}},
      {30.00, {5.8758, 0.2461, -0.7494, 0.1562}},
      {30.50, {5.9269, 0.2431, -0.7993, 0.2101}},
    },
    // 160 MHz
    {
      {22.00, {4.5978, 0.1980, 0.3947, 1.0257}},
      {26.00, {5.1960, 0.1753, 0.3723, 0.2064}},
      {28.50, {5.4835, 0.1724, 0.5849, 0.1278}},
      {29.00, {5.5472, 0.1671, 0.5066, 0.0971}},
      {29.50, {5.7319, 0.1738, -0.7281, 0.0958}},
      {30.00, {5.7743, 0.1685, -0.6432, 0.1030}},
      {30.50, {5.8140, 0.1624, -0.5235, 0.0760}},
      {31.00, {5.8611, 0.1613, -0.5443, 0.1555}},
    },
  },
  // MCS-10
  {
    // 2 MHz (OFDMA - 26 subcarriers)
    {
      {21.50, {4.0066, 1.1779, 1.3435, 5.8658}},
      {25.50, {5.0051, 1.1324, 0.9562, 3.2381}},
      {29.50, {5.9045, 1.1549, 1.6499, 14.537}},
      {33.50, {6.7401, 1.1448, 1.1232, 5.3525}},
      {37.50, {9.1929, 1.7430, -3.0418, 0.0000}},
    },
    // 4 MHz (OFDMA - 52 subcarriers)
    {
      {21.50, {4.1050, 0.9981, 0.8131, 2.9415}},
      {25.50, {4.9894, 0.9898, 1.0615, 5.4412}},
      {29.50, {5.8857, 0.9656, 0.5566, 1.3014}},
      {33.50, {6.6542, 0.9717, 0.5678, 1.0537}},
      {37.50, {7.5306, 0.9972, 0.2313, 0.3584}},
    },
    // 8 MHz (OFDMA - 106 subcarriers)
    {
      {21.50, {4.2201, 0.8059, 0.7612, 2.8459}},
      {25.50, {5.1017, 0.7982, 0.6267, 1.5855}},
      {29.50, {5.8428, 0.7745, 0.8698, 1.7120}},
      {33.50, {6.4761, 0.7834, 0.8756, 0.4806}},
      {37.50, {7.4925, 0.7430, -0.8132, 21.9242}},
    },
    // 20 MHz
    {
      {21.50, {4.4840, 0.5925, 0.5819, 1.2676}},
      {23.50, {4.8923, 0.5770, 0.6684, 1.6206}},
      {25.50, {5.2862, 0.5587, 0.7065, 1.8599}},
      {27.50, {5.6366, 0.5396, 0.7016, 1.1063}},
      {29.50, {6.4899, 0.6115, -1.2010, 0.1123}},
      {31.50, {6.7145, 0.5556, -1.0026, 0.1951}},
      {32.00, {6.7397, 0.5277, -0.8717, 0.2292}},
      {32.50, {6.7779, 0.5179, -0.8784, 0.4929}},
      {33.00, {6.8390, 0.5159, -0.9049, 0.6181}},
      {33.50, {6.8771, 0.5061, -0.8809, 0.8767}},
      {34.00, {6.9408, 0.5035, -1.0138, 1.4095}},
      {34.50, {6.9859, 0.5012, -1.1646, 2.4662}},
    },
    // 40 MHz
    {
      {21.50, {4.6172, 0.4446, 0.5390, 2.2636}},
      {23.50, {5.0130, 0.4370, 0.5407, 1.0801}},
      {25.50, {5.4048, 0.4236, 0.5818, 0.9374}},
      {27.50, {5.7685, 0.4057, 0.6351, 0.9077}},
      {29.50, {6.1189, 0.3828, 0.5525, 0.7658}},
      {31.50, {6.3970, 0.3669, 0.6266, 0.3597}},
      {32.00, {6.4539, 0.3687, 0.6969, 0.3672}},
      {32.50, {6.5061, 0.3712, 0.7345, 0.2297}},
      {33.00, {6.5462, 0.3819, 0.9026, 0.2674}},
      {33.50, {6.6205, 0.3719, 0.8169, 0.1998}},
      {34.00, {6.6540, 0.3864, 0.9982, 0.1939}},
      {34.50, {6.6958, 0.3912, 1.1284, 0.2185}},
    },
    // 80 MHz
    {
      {21.50, {4.6588, 0.3198, 0.4527, 0.8155}},
      {23.50, {5.0650, 0.3073, 0.5205, 1.2189}},
      {25.50, {5.4320, 0.2936, 0.5528, 0.9788}},
      {27.50, {5.7791, 0.2771, 0.5565, 0.7886}},
      {29.50, {6.0863, 0.2620, 0.5459, 0.3728}},
      {31.50, {6.3760, 0.2455, 0.5172, 0.4730}},
      {32.00, {6.4493, 0.2393, 0.3893, 0.3110}},
      {32.50, {6.4697, 0.2501, 0.6599, 0.2095}},
      {33.00, {6.5488, 0.2405, 0.5109, 0.1662}},
      {33.50, {6.6720, 0.2260, 0.1074, 1.1429}},
      {34.00, {6.6243, 0.2489, 0.7718, 0.1243}},
      {34.50, {6.6817, 0.2467, 0.7802, 0.1382}},
    },
    // 160 MHz
    {
      {21.50, {4.6552, 0.2252, 0.4421, 0.5792}},
      {23.50, {5.0450, 0.2125, 0.4265, 0.6199}},
      {25.50, {5.5920, 0.2441, -1.0854, 0.0002}},
      {27.50, {5.7220, 0.1902, 0.4703, 0.4703}},
      {29.50, {6.0041, 0.1810, 0.5284, 0.2665}},
      {31.50, {6.2573, 0.1722, 0.5313, 0.1824}},
      {32.00, {6.3223, 0.1676, 0.4546, 0.1311}},
      {32.50, {6.4274, 0.15839, 0.0133, 36.3853}},
      {33.00, {6.4760, 0.1562, 0.1589, 5.8093}},
      {33.50, {6.5333, 0.1538, 0.0586, 51.0583}},
      {34.00, {6.5868, 0.1531, 103.2348, 1.37e9}},
      {34.50, {6.6957, 0.1641, -0.6133, 0.1691}},
    },
  },
  // MCS-11
  {
    // 2 MHz (OFDMA - 26 subcarriers)
    {
      {22.00, {4.1294, 1.1755, 1.1034, 3.9386}},
      {26.00, {5.1012, 1.1432, 1.2005, 5.4888}},
      {30.00, {5.9758, 1.1512, 1.0454, 4.4529}},
      {34.00, {6.8754, 1.1379, 0.9339, 3.6432}},
      {38.00, {7.7363, 1.1437, 1.0863, 6.6752}},
    },
    // 4 MHz (OFDMA - 52 subcarriers)
    {
      {22.00, {4.1989, 1.0164, 0.8922, 2.5135}},
      {26.00, {5.1961, 0.9744, 0.6964, 3.7837}},
      {30.00, {6.0300, 1.0050, 0.7188, 2.6177}},
      {34.00, {6.9001, 0.9649, 0.6815, 1.7071}},
      {38.00, {7.7403, 0.9686, 0.4393, 1.2037}},
    },
    // 8 MHz (OFDMA - 106 subcarriers)
    {
      {22.00, {4.3275, 0.8138, 0.7494, 2.6014}},
      {26.00, {5.2453, 0.7784, 0.9565, 7.8649}},
      {30.00, {5.9648, 0.7968, 1.0873, 3.6420}},
      {34.00, {6.6714, 0.7435, 0.5557, 0.2353}},
      {38.00, {7.6318, 0.7367, -0.9460, 14.2142}},
    },
    // 20 MHz
    {
      {22.00, {4.6160, 0.6033, 0.5819, 1.1592}},
      {26.00, {6.1020, 0.7479, -1.5025, 0.0000}},
      {30.00, {6.1872, 0.5379, 0.6909, 0.8494}},
      {34.00, {6.6828, 0.5484, 1.0361, 0.3362}},
      {34.50, {7.3014, 0.5408, -1.0017, 0.3286}},
      {35.00, {7.3264, 0.5212, -0.9219, 0.5466}},
      {35.50, {7.3779, 0.5088, -1.0634, 1.0630}},
      {36.00, {7.4084, 0.5029, -0.9452, 1.1852}},
      {36.50, {7.4589, 0.4995, -1.0381, 2.0567}},
      {37.00, {7.5195, 0.5000, -1.2021, 3.0229}},
      {37.50, {7.5710, 0.5023, -1.2395, 3.8007}},
      {38.00, {7.6195, 0.5025, -1.4169, 5.4827}},
    },
    // 40 MHz
    {
      {22.00, {4.6878, 0.4427, 0.5145, 0.9342}},
      {26.00, {5.9143, 0.5202, -1.3423, 0.0000}},
      {30.00, {6.1470, 0.3735, 0.5788, 0.5650}},
      {34.00, {6.9729, 0.3741, -0.9225, 0.2442}},
      {34.50, {7.0259, 0.3664, -1.0214, 0.4764}},
      {35.00, {7.0631, 0.3587, -0.8993, 0.4714}},
      {35.50, {7.1132, 0.3563, -1.0073, 0.7206}},
      {36.00, {7.1719, 0.3575, -1.0650, 0.7979}},
      {36.50, {7.2200, 0.3559, -1.1199, 1.0749}},
      {37.00, {7.2686, 0.3564, -1.1309, 1.1426}},
      {37.50, {7.3263, 0.3624, -1.3512, 1.6017}},
      {38.00, {7.3756, 0.3657, -1.4347, 1.8175}},
    },
    // 80 MHz
    {
      {22.00, {4.7848, 0.3263, 0.4978, 0.7691}},
      {26.00, {5.9013, 0.3802, -1.3027, 0.0000}},
      {30.00, {6.2714, 0.2706, 0.5881, 0.6061}},
      {34.00, {6.8200, 0.2430, 0.5490, 0.2135}},
      {34.50, {6.8596, 0.2483, 0.7066, 0.2169}},
      {35.00, {6.8984, 0.2543, 0.8440, 0.1933}},
      {35.50, {6.9640, 0.2473, 0.7417, 0.1420}},
      {36.00, {7.2257, 0.2406, -0.6839, 0.1357}},
      {36.50, {7.2839, 0.2438, -0.7729, 0.1940}},
      {37.00, {7.3353, 0.2414, -0.7986, 0.2314}},
      {37.50, {7.3705, 0.2331, -0.6959, 0.2258}},
      {38.00, {7.4231, 0.2357, -0.8250, 0.3854}},
    },
    // 160 MHz
    {
      {22.00, {5.0326, 0.2797, -1.0388, 0.0000}},
      {26.00, {5.6215, 0.2135, 0.4646, 0.8224}},
      {30.00, {6.4751, 0.2229, -1.0200, 0.0065}},
      {34.00, {6.8389, 0.1705, 0.4685, 0.1518}},
      {34.50, {6.8953, 0.1698, 0.4887, 0.1103}},
      {35.00, {6.9366, 0.1722, 0.6387, 0.1344}},
      {35.50, {7.0599, 0.1560, -0.0134, 90.7526}},
      {36.00, {7.1104, 0.1555, 0.0483, 63.2689}},
    },
  },
};

} //namespace ns3

#endif /* LOG_SGN_PARAMETERS_H */
